Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1228091 - Review Request: php-zetacomponents-console-tools - Zeta ConsoleTools Component
Review Request: php-zetacomponents-console-tools - Zeta ConsoleTools Component
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: zetacomponents/unit-test 1228089
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-04 03:57 EDT by Remi Collet
Modified: 2016-08-14 12:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-zetacomponents-console-tools-1.7-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 21:02:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
fedora: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo-full.txt (18.44 KB, text/plain)
2015-07-11 10:21 EDT, Shawn Iwinski
no flags Details
phpcompatinfo-src.txt (12.33 KB, text/plain)
2015-07-11 10:22 EDT, Shawn Iwinski
no flags Details
fedora-review.txt (7.18 KB, text/plain)
2015-07-11 10:23 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-06-04 03:57:28 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/bcc6fe08c7e196ccadf8fde49397f1e4e18d4928/php/zeta/php-zetacomponents-console-tools/php-zetacomponents-console-tools.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-zetacomponents-console-tools-1.7-2.remi.src.rpm
Description: 
A set of classes to do different actions with the console, also called shell.
It can render a progress bar, tables and a status bar and contains a class for
parsing command line options.


Fedora Account System Username: remi
Comment 1 Shawn Iwinski 2015-07-11 10:21:53 EDT
Created attachment 1050888 [details]
phpcompatinfo-full.txt

phpCompatInfo version 4.3.0 DB built Jun 16 2015 12:31:49 CEST
Comment 2 Shawn Iwinski 2015-07-11 10:22:24 EDT
Created attachment 1050889 [details]
phpcompatinfo-src.txt

phpCompatInfo version 4.3.0 DB built Jun 16 2015 12:31:49 CEST
Comment 3 Shawn Iwinski 2015-07-11 10:23:34 EDT
Created attachment 1050890 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1228091
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Shawn Iwinski 2015-07-11 10:29:58 EDT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

No blocker... as usual, remove EPEL5 bits after initial import.



The following is not required:
    BuildRequires:  php-gd
No blocker... can be removed after initial import.



rpmlint:
    php-zetacomponents-console-tools.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/php-zetacomponents-console-tools/design/console.xml
    php-zetacomponents-console-tools.noarch: W: file-not-utf8 /usr/share/doc/php-zetacomponents-console-tools/design/console.xml





Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 1239040 bytes in 42 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

There are about 1.2M of docs which should be subpackaged.



For library autoloader generated in %build, shouldn't
    require_once 'ezc/Base/autoloader.php';
be
    require_once '%{ezcdir}/Base/autoloader.php';



For the tests autoloader generated in %check, shouldn't
    require '$PWD/src/autoloader.php';
be
    require '%{buildroot}%{ezcdir}/%{gh_project}/autoloader.php';
so the tests verify what will be installed?
Comment 5 Remi Collet 2015-07-13 05:01:42 EDT
Good catch, thanks.
Notice: in fact the generated autoloader is only used for tests, real consumer will use the ezcBase autoloader (but this one is unable to manage 2 directories... so cannot be used for tests)

Fix: https://github.com/remicollet/remirepo/commit/fd6c7d4db35a09db35154eceede200548bc507e8

Spec: https://raw.githubusercontent.com/remicollet/remirepo/fd6c7d4db35a09db35154eceede200548bc507e8/php/zeta/php-zetacomponents-console-tools/php-zetacomponents-console-tools.spec
Srpm: http://rpms.famillecollet.com/SRPMS/php-zetacomponents-console-tools-1.7-3.remi.src.rpm
Comment 6 Shawn Iwinski 2015-07-15 13:13:42 EDT
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.

Blockers fixed.

===== APPROVED =====
Comment 7 Remi Collet 2015-07-15 14:36:43 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name:  php-zetacomponents-console-tools
Short Description: Zeta ConsoleTools Component
Upstream URL: http://zetacomponents.org/
Owners: remi
Branches: f21 f22 f23 el6 epel7
InitialCC:
Comment 8 Gwyn Ciesla 2015-07-16 00:19:47 EDT
Git done (by process-git-requests).
Comment 9 Remi Collet 2015-07-16 02:00:17 EDT
Can you please check,
https://admin.fedoraproject.org/pkgdb/package/php-zetacomponents-console-tools/ => OK.
http://pkgs.fedoraproject.org/cgit/php-zetacomponents-console-tools.git => MISSING

$ fedpkg clone php-zetacomponents-console-tools
Clonage dans 'php-zetacomponents-console-tools'...
FATAL: R any php-zetacomponents-console-tools remi DENIED by fallthru
(or you mis-spelled the reponame)
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
Could not execute clone: Command '['git', 'clone', 'ssh://remi@pkgs.fedoraproject.org/php-zetacomponents-console-tools', '--origin', 'origin']' returned non-zero exit status 128
Comment 10 Remi Collet 2015-07-16 04:44:24 EDT
Seems auto-fixed...
Comment 11 Fedora Update System 2015-07-16 05:08:07 EDT
php-zetacomponents-console-tools-1.7-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-zetacomponents-console-tools-1.7-3.el7
Comment 12 Fedora Update System 2015-07-16 05:09:16 EDT
php-zetacomponents-console-tools-1.7-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-zetacomponents-console-tools-1.7-3.el6
Comment 13 Fedora Update System 2015-07-16 05:09:22 EDT
php-zetacomponents-console-tools-1.7-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/php-zetacomponents-console-tools-1.7-3.fc22
Comment 14 Fedora Update System 2015-07-16 05:09:28 EDT
php-zetacomponents-console-tools-1.7-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-zetacomponents-console-tools-1.7-3.fc21
Comment 15 Fedora Update System 2015-07-16 19:43:49 EDT
php-zetacomponents-console-tools-1.7-3.el7 has been pushed to the Fedora EPEL 7 testing repository.
Comment 16 Fedora Update System 2015-07-29 21:02:57 EDT
php-zetacomponents-console-tools-1.7-3.fc21 has been pushed to the Fedora 21 stable repository.
Comment 17 Fedora Update System 2015-07-29 21:11:05 EDT
php-zetacomponents-console-tools-1.7-3.fc22 has been pushed to the Fedora 22 stable repository.
Comment 18 Fedora Update System 2015-07-31 14:35:17 EDT
php-zetacomponents-console-tools-1.7-3.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 19 Fedora Update System 2015-07-31 14:36:31 EDT
php-zetacomponents-console-tools-1.7-3.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.